#
# spec file for package gnutls (Version 1.0.8)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# neededforbuild  libgcrypt libgpg-error libopencdk lzo lzo-devel

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libgcrypt libgpg-error libopencdk libtool lzo lzo-devel perl rpm

Name:           gnutls
Version:        1.0.8
Release:        26.7
License:        GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://www.gnutls.org/
Source0:        %name-%version.tar.bz2
Patch:          %name-acquotation.diff
Patch1:         %name-dos.patch
Patch2:         %name-CVE-2006-0645.patch
Summary:        The GNU Transport Layer Security Library
Group:          System/Libraries
Autoreqprov:    on

%description
GnuTLS is a project that aims to develop a library which provides a
secure layer, over a reliable transport layer. Currently the GnuTLS
library implements the proposed standards by the IETF's TLS working
group.



Authors:
--------
    Nikos Mavroyanopoulos
    Fabio Fiorina
    Timo Schulz
    Andrew McDonald

%package devel
Summary:        Development package for gnutls
Group:          System/Libraries
Requires:       %name = %version

%description devel
Files needed for software development using gnutls.



Authors:
--------
    Nikos Mavroyanopoulos
    Fabio Fiorina
    Timo Schulz
    Andrew McDonald

%prep
%setup -q
%patch -p1
%patch1
%patch2

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
                --prefix=%_prefix \
                --sysconfdir=%_sysconfdir \
                --libdir=%_libdir \
		--mandir=%_mandir \
		--localstatedir=%_localstatedir \
		--with-included-libtasn1
make

%install
rm -rf %buildroot
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf %buildroot

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-, root, root)
%doc THANKS README NEWS ChangeLog COPYING.LIB COPYING AUTHORS
%_bindir/*
%_libdir/*.so.*
%_mandir/man1/*

%files devel
%defattr(-, root, root)
%_includedir/*
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_datadir/aclocal/*

%changelog -n gnutls
* Fri Feb 17 2006 - max@suse.de
- Fix libtasn1 vulnerability (Bug #149897).
* Thu Jul 14 2005 - hvogel@suse.de
- Fix remote DOS vulnerability (Bug #83481)
* Mon Mar 01 2004 - hvogel@suse.de
- update to version 1.0.8
* Tue Feb 17 2004 - hvogel@suse.de
- update to version 1.0.6
- fix autoconf quotations
* Wed May 14 2003 - schubi@suse.de
- initial; Sourcecode received from XIMIAN
